### Method

# Ide RunManager add_handler

#### Declaration

    void
    ide_run_manager_add_handler (
      IdeRunManager* self,
      const gchar* id,
      const gchar* title,
      const gchar* icon_name,
      const gchar* accel,
      IdeRunHandler run_handler,
      gpointer user_data,
      GDestroyNotify user_data_destroy
    )

#### Description

No description available.

#### Parameters

`id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`title` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`icon_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`accel` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`run_handler` | `IdeRunHandler`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`user_data_destroy` | `GDestroyNotify`
| No description available.